function y = sequencer2(fp, vl, fw, fv, fa, fi, n, wf, ta, td, sl, tr, fei, feInv, tah, tdh, slh, trh, rr, rc, rbw, Fs);
%   ----------------------------------------------------------------
%       
%       Title :     MatLead -SYNTHESIZER-
%       
%       Component : Sequencer
%       
%       Version :   1.0.1 Web Edition
%       Date :      2008.5.22
%       Author :    XIAORING <http://mkgweb.undo.jp>
%       Copyright : (c) 2008 XIAORING. All rights reserved.
%       
%   ----------------------------------------------------------------
%       
%       <Required Files>
%           trackread2.m
%           mkTrk2.m
%           playTrk2.m
%           synth4.m
%           waveform.m
%           vco2.m
%           vcoPitch.m
%           vcoMix.m
%           vcf.m
%           rg.m
%           lfo2s.m
%           fmtone3.m
%           vca3.m
%           adsr.m
%       
%   ----------------------------------------------------------------


%-- Initial --%
    filename = input('XRAt@C̃t@C͂Ă = ', 's');
    bpm = 240;
    pace = 60.0 * 4.0 / bpm;

%-- Track 1 --%
    sheet = 1;
    trk = trackread2(filename, sheet);
    y = playTrk2(trk, fp, vl, fw, fv, fa, fi, n, wf, ta, td, sl, tr, fei, feInv, tah, tdh, slh, trh, rr, rc, rbw, Fs);

%-- Sound --%
    sound(y, Fs);
