%   ----------------------------------------------------------------
%       
%       Title :     MatLead -SYNTHESIZER-
%       
%       Component : User Interface of Preset Section
%       
%       Version :   1.0.1 Web Edition
%       Date :      2008.5.22
%       Author :    XIAORING <http://mkgweb.undo.jp>
%       Copyright : (c) 2008 XIAORING. All rights reserved.
%       
%   ----------------------------------------------------------------


%-- GUI Panel Score --%
    hpPre = uipanel(...
        'units', 'pixels', ...
        'position', [665 340 100 80], ...
        'back', clrPanel, ...
        'fore', clrLabel, ...
        'title', 'PRESET' ...
    );

    % Callback
    cPreRd = 'presetRd;';
    cPreWr = 'presetWr;';

    % UI
    hPreRdk(i) = uicontrol( ...
        'style', 'pushbutton', ...
        'parent', hpPre, ...
        'units', 'pixels', ...
        'position', [10 10+30*1 80 20], ...
        'back', clrBtn1, ...
        'fore', clrBtnStr, ...
        'String', 'LOAD', ...
        'callback', cPreRd ...
    );
    hPreWrk(i) = uicontrol( ...
        'style', 'pushbutton', ...
        'parent', hpPre, ...
        'units', 'pixels', ...
        'position', [10 10+30*0 80 20], ...
        'back', clrBtn2, ...
        'fore', clrBtnStr, ...
        'String', 'SAVE', ...
        'callback', cPreWr ...
    );
