function fpRate = vcoPitch(fp)
%   ----------------------------------------------------------------
%       
%       Title :     MatLead -SYNTHESIZER-
%       
%       Component : VCO Pitch
%       
%       Version :   1.0.1 Web Edition
%       Date :      2008.5.22
%       Author :    XIAORING <http://mkgweb.undo.jp>
%       Copyright : (c) 2008 XIAORING. All rights reserved.
%       
%   ----------------------------------------------------------------
%
%       <Arguments>
%       fp =    Pitch (Vector 1, 3 | col: Octave, Transpose, Tune)
%       
%   ----------------------------------------------------------------

fpRate = 2^( fp(1) + fp(2)/12 + fp(3)/1200 );
