function ar = rg(n, r, c, bw)
%   ----------------------------------------------------------------
%       
%       Title :     MatLead -SYNTHESIZER-
%       
%       Component : Resonance Generator
%                   to Make Resonance Response
%       
%       Version :   1.0.1 Web Edition
%       Date :      2008.5.22
%       Author :    XIAORING <http://mkgweb.undo.jp>
%       Copyright : (c) 2008 XIAORING. All rights reserved.
%       
%   ----------------------------------------------------------------
%
%       <Arguments>
%       n =     Harmonics Number (number)
%       r =     Resonator Character (ratio)
%       c =     Center Hamonics (number)
%       bw =    Band Width (number)
%       
%   ----------------------------------------------------------------


ar = ones(1, n);
for i = c-bw : c+bw
    ar(i) = r;
end
