%   ----------------------------------------------------------------
%       
%       Title :     MatLead -SYNTHESIZER-
%       
%       Component : User Interface of Score Section
%       
%       Version :   1.0.1 Web Edition
%       Date :      2008.5.22
%       Author :    XIAORING <http://mkgweb.undo.jp>
%       Copyright : (c) 2008 XIAORING. All rights reserved.
%       
%   ----------------------------------------------------------------


%-- GUI Panel Score --%
    hpSco = uipanel(...
        'units', 'pixels', ...
        'position', [665 250 100 80], ...
        'back', clrPanel, ...
        'fore', clrLabel, ...
        'title', 'SCORE' ...
    );

    % Callback
    cScoRd = 'y = sequencer2(fp, vl, fw, fv, fa, fi, n, wf, ta, td, sl, tr, fei, feInv, tah, tdh, slh, trh, rr, rc, rbw, Fs);';
    cScoWr = 'y = sequencer2(fp, vl, fw, fv, fa, fi, n, wf, ta, td, sl, tr, fei, feInv, tah, tdh, slh, trh, rr, rc, rbw, Fs); wavwrite(y, Fs, input(''o͂t@C͂Ă = '', ''s''));';

    % UI
    hScoRdk(i) = uicontrol( ...
        'style', 'pushbutton', ...
        'parent', hpSco, ...
        'units', 'pixels', ...
        'position', [10 10+30*1 80 20], ...
        'back', clrBtn1, ...
        'fore', clrBtnStr, ...
        'String', 'PLAY', ...
        'callback', cScoRd ...
    );
    hScoWrk(i) = uicontrol( ...
        'style', 'pushbutton', ...
        'parent', hpSco, ...
        'units', 'pixels', ...
        'position', [10 10+30*0 80 20], ...
        'back', clrBtn2, ...
        'fore', clrBtnStr, ...
        'String', 'WAV WRITE', ...
        'callback', cScoWr ...
    );
